slepc-3.10.1 2018-10-23
Report Typos and Errors

# DSCopyMat

Copies the contents of a sequential dense Mat object to the indicated DS matrix, or vice versa.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSCopyMat(DS ds,DSMatType m,PetscInt mr,PetscInt mc,Mat A,PetscInt Ar,PetscInt Ac,PetscInt rows,PetscInt cols,PetscBool out)

Not Collective

### Input Parameters

| ds | - the direct solver context
| m | - the requested matrix
| mr | - first row of m to be considered
| mc | - first column of m to be considered
| A | - Mat object
| Ar | - first row of A to be considered
| Ac | - first column of A to be considered
| rows | - number of rows to copy
| cols | - number of columns to copy
| out | - whether the data is copied out of the DS

### Note

If out=true, the values of the DS matrix m are copied to A, otherwise the entries of A are copied to the DS.

### See Also

DSGetMat()

Location: src/sys/classes/ds/interface/dsops.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages